program OutlawEd;

uses
  Forms,
  SysUtils,
  Win32Dlg,
  main in 'main.pas' {oeMain},
  pluginPalette in 'pluginPalette.pas' {oePlugin},
  oi in 'oi.pas' {oeInspector},
  Panels_Shared in 'Panels_Shared.pas',
  codesnippet in 'codesnippet.pas' {SnipWin},
  Engine in 'Engine.pas',
  ObjectInspector in 'ObjectInspector.pas',
  AboutDlg in 'AboutDlg.pas' {About},
  VarWin in 'VarWin.pas' {VariableWin},
  AddWin in 'AddWin.pas' {AddSensorDlg},
  SnapTo in 'SnapTo.pas',
  ParameterDetailsWin in 'ParameterDetailsWin.pas' {ParameterDetailsWindow},
  splash in 'splash.pas' {SplashScreen},
  popupHint in 'popupHint.pas' {HintWin},
  fullscreentoolbar in 'fullscreentoolbar.pas' {fsToolbar},
  ProcsAndTypes in 'ProcsAndTypes.pas',
  Preferences in 'Preferences.pas' {PrefDlg},
  TutorialSystem in 'TutorialSystem.pas',
  templatedlg in 'templatedlg.pas' {TempDlg},
  templatesystem in 'templatesystem.pas',
  addtemplate in 'addtemplate.pas' {AddTempDlg},
  objbrowsewin in 'objbrowsewin.pas' {ObjBrowser},
  FortuneCookie in 'FortuneCookie.pas',
  EditorVariableManager in 'EditorVariableManager.pas',
  addeventwin in 'addeventwin.pas' {addeventdlg};

{$R *.res}
begin
  Application.Initialize;
  Application.Title := 'OutlawEd';

  // **
  // All info commands are for Win10 Debugging which triggers an EInvalidGraphic message before load

//  Info('CreateForm ToeMain...');
  Application.CreateForm(ToeMain, oeMain);

   // Info('CreateForm ToePlugin...');
  Application.CreateForm(ToePlugin, oePlugin);

  //  Info('CreateForm ToeInspector...');
  Application.CreateForm(ToeInspector, oeInspector);

  //  Info('CreateForm TSnipWin...');
  Application.CreateForm(TSnipWin, SnipWin);

  //  Info('CreateForm TAbout...');
  Application.CreateForm(TAbout, About);

  // Info('CreateForm TVariableWin...');
  Application.CreateForm(TVariableWin, VariableWin);

  // Info('CreateForm TAddSensorDlg...');
  Application.CreateForm(TAddSensorDlg, AddSensorDlg);

  // Info('CreateForm TParamterDetailsWindow...');
  Application.CreateForm(TParameterDetailsWindow, ParameterDetailsWindow);

  // Info('CreateForm TSplashScreen...');
  Application.CreateForm(TSplashScreen, SplashScreen);

  // Info('CreateForm THinWin...');
  Application.CreateForm(THintWin, HintWin);

  // Info('CreateForm TfsToolbar...');
  Application.CreateForm(TfsToolbar, fsToolbar);

  // Info('CreateForm TPrefDlg...');
  Application.CreateForm(TPrefDlg, PrefDlg);

  // Info('CreateForm TTempDlg...');
  Application.CreateForm(TTempDlg, TempDlg);

  // Info('CreateForm TAddTempDlg...');
  Application.CreateForm(TAddTempDlg, AddTempDlg);

  // Info('CreateForm TObjBrowser...');
  Application.CreateForm(TObjBrowser, ObjBrowser);

  // Info('CreateForm Taddeventdlg...');
  Application.CreateForm(Taddeventdlg, addeventdlg);

  // Info('Application Run!');
  Application.Run;
end.
